# django-envconfig

https://img.shields.io/pypi/pyversions/django-envconfig

Configure Django using environment variables. Having a `settings.py` file is
optional.

Installation:
```
pip install django-envconfig
```

Usage:
```
export DJANGO_PROJECT=project_name
```

## Settings

Settings order:
- Default Django settings generated by startproject (with the exceptions of SECRET_KEY etc.)
  - DEBUG is automatically false
- Any settings file found in the project's directory.
- Environment variables, including any defined in a .env file.

`SECRET_KEY` - Provides a value if not set. Set if you want it to persist. Rotating the secret key
https://docs.djangoproject.com/en/dev/ref/settings/#secret-key.

Special settings
